Name:           glite-lbjp-common-jp-interface
Version:        2.3.11
Release:        11%{?dist}
Summary:        Public API to JP service internal interface

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.jp-interface/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel
BuildRequires:  gcc-c++
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-db-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl-interpreter
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
Definition of interfaces required to build plugins for Job Provenance services
and implementation of minimal library of support functions.


%package        devel
Summary:        Development files for gLite L&B/JP interface library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
interface library.


%prep
%setup -q


%build
./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog
%license LICENSE
%{_libdir}/libglite_jp_common.so.2
%{_libdir}/libglite_jp_common.so.2.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/jp
%{_includedir}/glite/jp/types.h
%{_includedir}/glite/jp/indexdb.h
%{_includedir}/glite/jp/attr.h
%{_includedir}/glite/jp/file_plugin.h
%{_includedir}/glite/jp/context.h
%{_includedir}/glite/jp/type_plugin.h
%{_includedir}/glite/jp/backend.h
%{_includedir}/glite/jp/known_attr.h
%{_includedir}/glite/jp/builtin_plugins.h
%{_libdir}/libglite_jp_common.so


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Feb 18 2018 František Dvořák <valtri@civ.zcu.cz> - 2.3.11-10
- Packaging updates (gcc-c++ BR, license tag)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 18 2017 František Dvořák <valtri@civ.zcu.cz> - 2.3.11-6
- Rebuilt with mariadb 10.2

* Wed Jul 12 2017 Petr Písař <ppisar@redhat.com> - 2.3.11-6
- perl dependency renamed to perl-interpreter

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.11-1
- New release 2.3.11 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <vatri@civ.zcu.cz> - 2.3.10-1
- New release 2.3.10 (L&B 4.1.1)

* Sat Dec 07 2013 František Dvořák <vatri@civ.zcu.cz> - 2.3.9-1
- Initial package
